gdcm::ImageConverter Class Reference

Image Converter. More...

`#include <gdcmImageConverter.h>`

## Public Member Functions

| ImageConverter ()
| ~ImageConverter ()
void | Convert ()
const Image & | GetOuput () const
void | SetInput (Image const &input)

## Detailed Description

Image Converter.

Note
  This is the class used to convert from on Image to another This is typically used to convert let say YBR JPEG compressed Image to a RAW RGB Image. So that the buffer can be directly pass to third party application. This filter is application level and not integrated directly in GDCM

## Constructor & Destructor Documentation

## ImageConverter()

gdcm::ImageConverter::ImageConverter | ( |  | ) |

## ~ImageConverter()

gdcm::ImageConverter::~ImageConverter | ( |  | ) |

## Member Function Documentation

## Convert()

void gdcm::ImageConverter::Convert | ( |  | ) |

## GetOuput()

const Image & gdcm::ImageConverter::GetOuput | ( |  | ) | const

## SetInput()

void gdcm::ImageConverter::SetInput | ( | Image const & | input | ) |

The documentation for this class was generated from the following file:

- gdcmImageConverter.h